# Lint as: python3
# Copyright 2020 Google LLC. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain README.ml-pipelines-sdk.md copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

import tensorflow as tf

from tfx.experimental.templates.penguin.models import model


class ModelTest(tf.test.TestCase):

  def testBuildKerasModel(self):
    built_model = model._build_keras_model(['foo', 'bar'])  # pylint: disable=protected-access
    self.assertEqual(len(built_model.inputs), 2)


if __name__ == '__main__':
  tf.test.main()
